#!/usr/bin/bash

set -eu

file="${1:-$HOME/.local/share/user-places.xbel}"

[[ -e "$file" ]] || exit 0

if id | grep -q teachers; then 
  exit 0
fi

NETHOME=(/srv/samba/schools/default-school/students/*/"$USER")
[[ -d $NETHOME ]] || exit 0

if FOUND=$(grep -o "/srv/samba/schools/default-school/students/.*/$USER" $file); then
  if [[ "$NETHOME" != "$FOUND" ]] ; then
    sed -i "s|/srv/samba/schools/default-school/students/.*/$USER|$NETHOME|g" $file
  fi
fi
